## START: Set by rpmautospec
## (rpmautospec version 0.8.1)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

Name: hicolor-icon-theme
Version: 0.18
Release: %autorelease
Summary: Basic requirement for icon themes

License: GPL-2.0-or-later
URL: https://www.freedesktop.org/wiki/Software/icon-theme/
Source0: https://icon-theme.freedesktop.org/releases/%{name}-%{version}.tar.xz

BuildArch: noarch

BuildRequires: meson

%description
Contains the basic directories and files needed for icon theme support.

%prep
%autosetup -p1

# for some reason this file is executable in the tarball
chmod 0644 COPYING

%build
%meson
%meson_build

%install
%meson_install

rm $RPM_BUILD_ROOT%{_datadir}/pkgconfig/default-icon-theme.pc
touch $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/icon-theme.cache

%transfiletriggerin -- %{_datadir}/icons/hicolor
gtk-update-icon-cache --force %{_datadir}/icons/hicolor &>/dev/null || :

%transfiletriggerpostun -- %{_datadir}/icons/hicolor
gtk-update-icon-cache --force %{_datadir}/icons/hicolor &>/dev/null || :

%files
%license COPYING
%doc README.md
%dir %{_datadir}/icons/hicolor
%{_datadir}/icons/hicolor/16x16/
%{_datadir}/icons/hicolor/16x16@2/
%{_datadir}/icons/hicolor/22x22/
%{_datadir}/icons/hicolor/22x22@2/
%{_datadir}/icons/hicolor/24x24/
%{_datadir}/icons/hicolor/24x24@2/
%{_datadir}/icons/hicolor/32x32/
%{_datadir}/icons/hicolor/32x32@2/
%{_datadir}/icons/hicolor/36x36/
%{_datadir}/icons/hicolor/36x36@2/
%{_datadir}/icons/hicolor/48x48/
%{_datadir}/icons/hicolor/48x48@2/
%{_datadir}/icons/hicolor/64x64/
%{_datadir}/icons/hicolor/64x64@2/
%{_datadir}/icons/hicolor/72x72/
%{_datadir}/icons/hicolor/72x72@2/
%{_datadir}/icons/hicolor/96x96/
%{_datadir}/icons/hicolor/96x96@2/
%{_datadir}/icons/hicolor/128x128/
%{_datadir}/icons/hicolor/128x128@2/
%{_datadir}/icons/hicolor/192x192/
%{_datadir}/icons/hicolor/192x192@2/
%{_datadir}/icons/hicolor/256x256/
%{_datadir}/icons/hicolor/256x256@2/
%{_datadir}/icons/hicolor/512x512/
%{_datadir}/icons/hicolor/512x512@2/
%{_datadir}/icons/hicolor/scalable/
%{_datadir}/icons/hicolor/symbolic/
%{_datadir}/icons/hicolor/index.theme
%ghost %{_datadir}/icons/hicolor/icon-theme.cache

%changelog
## START: Generated by rpmautospec
* Wed Jun 25 2025 Milan Crha <mcrha@redhat.com> - 0.18-1
- Update to 0.18

* Fri Jan 17 2025 Fedora Release Engineering <releng@fedoraproject.org> - 0.17-24
- Rebuilt for https://fedoraproject.org/wiki/Fedora_42_Mass_Rebuild

* Thu Jul 18 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.17-23
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Thu May 30 2024 Software Management Team <packaging-team-maint@redhat.com> - 0.17-22
- Eliminate use of obsolete %%patchN syntax (#2283636)

* Wed Jan 24 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.17-21
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Sat Jan 20 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.17-20
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Mon Jan 01 2024 Miroslav Suchý <msuchy@redhat.com> - 0.17-19
- Migrate to SPDX license

* Thu Jul 20 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.17-18
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Thu Jan 19 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.17-17
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Thu Jul 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.17-16
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Sat May 21 2022 Fabio Valentini <decathorpe@gmail.com> - 0.17-15
- Include upstream patch to include directories for @2 scaled icons

* Thu Jan 20 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.17-14
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Thu Jul 22 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.17-13
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Tue Jan 26 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.17-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Tue Jan 05 2021 Tom Stellard <tstellar@redhat.com> - 0.17-11
- Add BuildRequires: make

* Tue Jul 28 2020 Fedora Release Engineering <releng@fedoraproject.org> - 0.17-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Wed Jan 29 2020 Fedora Release Engineering <releng@fedoraproject.org> - 0.17-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Thu Jul 25 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0.17-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Thu Mar 07 2019 Tim Landscheidt <tim@tim-landscheidt.de> - 0.17-7
- Remove obsolete requirements for %%post/%%postun scriptlets

* Fri Feb 08 2019 Kalev Lember <klember@redhat.com> - 0.17-6
- Fix /usr/share/icons/hicolor directory ownership

* Fri Feb 01 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0.17-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Fri Jul 13 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.17-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Wed Feb 07 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.17-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Thu Aug 31 2017 Kalev Lember <klember@redhat.com> - 0.17-2
- Fix file listed twice rpmbuild warning

* Thu Aug 31 2017 Kalev Lember <klember@redhat.com> - 0.17-1
- Update to 0.17

* Tue Aug 22 2017 yaneti <yaneti@declera.com> - 0.16-4
- URL fixes

* Tue Aug 22 2017 Kalev Lember <klember@redhat.com> - 0.16-3
- Use make_install macro

* Tue Aug 22 2017 Kalev Lember <klember@redhat.com> - 0.16-2
- Use standard tag order in the spec file

* Tue Aug 22 2017 Kalev Lember <klember@redhat.com> - 0.16-1
- Update to 0.16

* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.15-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Thu Jun 22 2017 Kalev Lember <klember@redhat.com> - 0.15-7
- Add file triggers for gtk-update-icon-cache

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.15-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Wed Feb 03 2016 Dennis Gilmore <dennis@ausil.us> - 0.15-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Wed Jun 17 2015 Dennis Gilmore <dennis@ausil.us> - 0.15-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Tue Mar 24 2015 Kalev Lember <kalevlember@gmail.com> - 0.15-3
- Drop obsolete ChangeLog file

* Tue Mar 24 2015 Kalev Lember <kalevlember@gmail.com> - 0.15-2
- Use license macro for the COPYING file

* Tue Mar 24 2015 Kalev Lember <kalevlember@gmail.com> - 0.15-1
- Update to 0.15

* Wed Dec 10 2014 David King <amigadave@amigadave.com> - 0.14-1
- Update to 0.14, own 512x512 directory (#1044771)

* Sat Jun 07 2014 Dennis Gilmore <dennis@ausil.us> - 0.13-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Thu Feb 27 2014 Dan Mashal <dan.mashal@fedoraproject.org> - 0.13-1
- Update to 0.13 (#1044407)

* Sat Aug 03 2013 Dennis Gilmore <dennis@ausil.us> - 0.12-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Feb 14 2013 Dennis Gilmore <dennis@ausil.us> - 0.12-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Thu Jul 19 2012 Dennis Gilmore <dennis@ausil.us> - 0.12-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Fri Jan 13 2012 Dennis Gilmore <dennis@ausil.us> - 0.12-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Sun May 08 2011 Christopher Aillon <caillon@redhat.com> - 0.12-4
- Update icon cache scriptlet

* Wed Feb 09 2011 Dennis Gilmore <dennis@ausil.us> - 0.12-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Wed Jul 28 2010 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.12-2
- dist-git conversion

* Wed Jan 13 2010 Alexander Larsson <alexl@fedoraproject.org> - 0.12-1
- Update to 0.12

* Wed Nov 25 2009 Bill Nottingham <notting@fedoraproject.org> - 0.11-2
- Fix typo that causes a failure to update the common directory. (releng
  #2781)

* Fri Sep 25 2009 Alexander Larsson <alexl@fedoraproject.org> - 0.11-1
- Update to 0.11

* Sat Jul 25 2009 Jesse Keating <jkeating@fedoraproject.org> - 0.10-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Wed Feb 25 2009 Jesse Keating <jkeating@fedoraproject.org> - 0.10-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Sat Jan 24 2009 Matthias Clasen <mclasen@fedoraproject.org> - 0.10-7
- Cosmetic fixes

* Sun Nov 18 2007 Matthias Clasen <mclasen@fedoraproject.org> - 0.10-6
- fix perms of COPYING

* Sun Nov 18 2007 Matthias Clasen <mclasen@fedoraproject.org> - 0.10-5
- Spec file cleanups

* Mon Oct 15 2007 Bill Nottingham <notting@fedoraproject.org> - 0.10-4
- makefile update to properly grab makefile.common

* Wed Aug 08 2007 Matthias Clasen <mclasen@fedoraproject.org> - 0.10-3
- update license field

* Fri Feb 23 2007 Matthias Clasen <mclasen@fedoraproject.org> - 0.10-2
- Own the icon cache

* Thu Nov 23 2006 Alexander Larsson <alexl@fedoraproject.org> - 0.10-1
- Update to 0.10

* Wed Jul 12 2006 Jesse Keating <jkeating@fedoraproject.org> - 0.9-3
- bumped for rebuild

* Mon Feb 27 2006 Ray Strode <rstrode@fedoraproject.org> - 0.9-2
- Remove Prereq on gtk. Prereq's complicate things, and the gtk-update-
  icon-cache is already protected by [ -x ... ]

* Thu Jan 12 2006 Alexander Larsson <alexl@fedoraproject.org> - 0.9-1
- Update to 0.9, fixes scalable icons picked before bitmap icons

* Fri Dec 09 2005 Jesse Keating <jkeating@fedoraproject.org> - 0.8-5
- gcc update bump

* Wed Nov 30 2005 Florian La Roche <laroche@fedoraproject.org> - 0.8-4
- rebuild

* Wed Nov 30 2005 Florian La Roche <laroche@fedoraproject.org> - 0.8-3
- prereq coreutils

* Mon Apr 18 2005 Matthias Clasen <mclasen@fedoraproject.org> - 0.8-2
- Silence %%post

* Thu Apr 14 2005 John (J5) Palmieri <johnp@fedoraproject.org> - 0.8-1
- Update to 0.8

* Mon Mar 28 2005 Christopher Aillon <caillon@fedoraproject.org> - 0.7-3
- Fix if check in specfiles.

* Fri Mar 25 2005 Christopher Aillon <caillon@fedoraproject.org> - 0.7-2
- Update the GTK+ theme icon cache on (un)install

* Fri Feb 04 2005 Alexander Larsson <alexl@fedoraproject.org> - 0.7-1
- Update to 0.7

* Wed Feb 02 2005 Alexander Larsson <alexl@fedoraproject.org> - 0.6-1
- Update to 0.6

* Fri Jan 28 2005 Matthias Clasen <mclasen@fedoraproject.org> - 0.5-2
- Fix spec

* Fri Jan 28 2005 Matthias Clasen <mclasen@fedoraproject.org> - 0.5-1
- Update to 0.5

* Wed Sep 29 2004 Jonathan Blandford <jrb@fedoraproject.org> - 0.3-2
- rebuilt

* Thu Sep 09 2004 cvsdist <cvsdist@fedoraproject.org> - 0.3-1
- auto-import changelog data from hicolor-icon-theme-0.3-2.src.rpm Fri Feb
  13 2004 Elliot Lee <sopwith@redhat.com> - rebuilt Wed Feb 04 2004
  Alexander Larsson <alexl@redhat.com> 0.3-1 - update to 0.3

* Thu Sep 09 2004 cvsdist <cvsdist@fedoraproject.org> - 0.2-1
- auto-import changelog data from hicolor-icon-theme-0.2-1.src.rpm Fri Jan
  16 2004 Alexander Larsson <alexl@redhat.com> 0.2-1 - Initial build.
## END: Generated by rpmautospec
